> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /totaljobs/jobs

> Get Totaljobs job listing details by id

**Price:** 10 credits

**⚠️ Common errors:** 412: Job listing not found



## OpenAPI

````yaml /openapi/jobs.json post /api/totaljobs/jobs
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/totaljobs/jobs:
    post:
      tags:
        - /totaljobs
      summary: /totaljobs/jobs
      description: |-
        Get Totaljobs job listing details by id

        **Price:** 10 credits

        **⚠️ Common errors:** 412: Job listing not found
      operationId: __api_totaljobs_jobs_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TotaljobsJobPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TotaljobsJob'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TotaljobsJobPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        job:
          type: string
          minLength: 1
      type: object
      required:
        - job
    TotaljobsJob:
      properties:
        '@type':
          type: string
          default: TotaljobsJob
        id:
          type: integer
        global_id:
          anyOf:
            - type: string
            - type: 'null'
        url:
          type: string
        description_text:
          anyOf:
            - type: string
            - type: 'null'
        employment_type:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        contract_type:
          anyOf:
            - type: string
            - type: 'null'
        industry:
          anyOf:
            - type: string
            - type: 'null'
        salary:
          anyOf:
            - $ref: '#/components/schemas/TotaljobsJobSalary'
            - type: 'null'
        employer:
          anyOf:
            - $ref: '#/components/schemas/TotaljobsJobEmployer'
            - type: 'null'
        location:
          anyOf:
            - $ref: '#/components/schemas/TotaljobsJobLocation'
            - type: 'null'
        job_location_type:
          anyOf:
            - type: string
            - type: 'null'
        applicant_location_requirements:
          anyOf:
            - type: string
            - type: 'null'
        is_direct_apply:
          anyOf:
            - type: boolean
            - type: 'null'
        is_online:
          anyOf:
            - type: boolean
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
        valid_through_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - title
        - url
        - description
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    TotaljobsJobSalary:
      properties:
        '@type':
          type: string
          default: TotaljobsJobSalary
        salary_from:
          anyOf:
            - type: number
            - type: 'null'
        salary_to:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        period:
          anyOf:
            - type: string
            - type: 'null'
        display:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    TotaljobsJobEmployer:
      properties:
        '@type':
          type: string
          default: TotaljobsJobEmployer
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        cover:
          anyOf:
            - type: string
            - type: 'null'
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        sector:
          anyOf:
            - type: string
            - type: 'null'
        industries:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        employee_count:
          anyOf:
            - type: string
            - type: 'null'
        founded_year:
          anyOf:
            - type: integer
            - type: 'null'
        job_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    TotaljobsJobLocation:
      properties:
        '@type':
          type: string
          default: TotaljobsJobLocation
        locality:
          anyOf:
            - type: string
            - type: 'null'
        street:
          anyOf:
            - type: string
            - type: 'null'
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        lat:
          anyOf:
            - type: number
            - type: 'null'
        lng:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````